Container Security Release 1.42.10 API
March 26, 2026
Before understanding the API release highlights, learn more about the API server URL to be used in your API requests by referring to the Know Your Qualys API Server URL section. For these API Release Notes, <qualys_base_url> is mentioned in the sample API requests.
New Attributes in Container Vulnerability Reports
With Container Security 1.42.10 release, Qualys Container Security has introduced with the new vulnerability report attributes: deploymentuuid and deploymentName. To support this, the following APIs are updated.
- Fetch a List of Reports in your Account
GET /csapi/v1.3/reports - Create a Report Request
POST /csapi/v1.3/reports - Create a Report Schedule
POST /csapi/v1.3/reports/schedule - Update an Active Report Schedule
PUT /csapi/v1.3/reports/schedule/{reportingScheduleId}
Updated API: Fetch a List of Reports in Your Account
| New or Updated APIs | Updated |
|---|---|
| API Endpoint (New version) | /csapi/v1.3/reports |
| Method | GET |
| DTD XSD Changes | No |
Sample: Fetch a List of Reports in Your AccountSample: Fetch a List of Reports in Your Account
The sample below shows the request and response for getting the CS_CONTAINER_VULNERABILITY report using the attributes deploymentuuid and deploymentName.
API Request
curl -X 'GET' \
'<qualys_base_url>/csapi/v1.3/reports?filter=report.name%3Atest_API1_runnow&pageNumber=1&pageSize=50&sort=status%3Adesc' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>'
API Response
{
"data": [
{
"reportUuid": "2b086330-280a-11f1-87a4-e79237e93d0a",
"createdAt": "2026-03-25T05:19:16.000Z",
"reportName": "test_API1_runnow",
"description": "test",
"fileFormat": "csv",
"templateName": "CS_CONTAINER_VULNERABILITY",
"status": "COMPLETED",
"isScheduled": 0,
"filter": "container.instance.id:3782a2d684de",
"displayColumns": [
"containerId",
"qid",
"podController",
"deploymentUuid",
"deploymentName",
"nodeName"
],
"expireOn": "2026-04-01T05:19:16.000Z",
"emailNotification": 0,
"recipient": "",
"emailSubject": "",
"customMessage": "",
"sendAsAttachment": 0,
"fileZipped": 0,
"expireAfter": 7
}
],
"count": 1
}
Updated API: Create a Report Request
| New or Updated APIs | Updated |
|---|---|
| API Endpoint (New version) | /csapi/v1.3/reports |
| Method | POST |
| DTD XSD Changes | No |
Input Parameters Input Parameters
The Input Parameters below show the updated attributes used for creating a report request.
|
Parameter |
Mandatory/Optional |
Data Type |
Description |
|---|---|---|---|
| displayColumns | Optional | string |
The following attributes are newly introduced under 'CS_CONTAINER_VULNERABILITY' report templates.
|
Sample: Create a Report Request Sample: Create a Report Request
API Request
curl -X 'POST' \
'<qualys_base_url>/csapi/v1.3/reports' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "test_API1_runnow",
"description": "test",
"templateName": "CS_CONTAINER_VULNERABILITY",
"filter": "container.instance.id:3782a2d684de",
"format": "csv",
"reportScheduleDetails": null,
"expireAfter": 7,
"displayColumns": [
"containerId",
"qid",
"podController",
"deploymentUuid",
"deploymentName",
"nodeName"
],
"zip": 0,
"emailNotification": 0
}'
API Response
{
"reportUuid": "2b086330-280a-11f1-87a4-e79237e93d0a"
}
Updated API: Create a Report Schedule
| New or Updated APIs | Updated |
|---|---|
| API Endpoint (New version) | /csapi/v1.3/reports/schedule |
| Method | POST |
| DTD XSD Changes | No |
Input Parameters Input Parameters
The Input Parameters below show the updated attributes used for creating a report request.
|
Parameter |
Mandatory/Optional |
Data Type |
Description |
|---|---|---|---|
| displayColumns | Optional | string |
The following attributes are newly introduced under 'CS_CONTAINER_VULNERABILITY' report templates.
|
Sample: Create a Report ScheduleSample: Create a Report Schedule
API Request
curl -X 'POST' \
'<qualys_base_url>/csapi/v1.3/reports/schedule' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "test_API_schedule123",
"description": "test",
"templateName": "CS_CONTAINER_VULNERABILITY",
"filter": "container.instance.id:3782a2d684de",
"format": "csv",
"reportScheduleDetails": {
"recurrenceType": "DAILY",
"selectedDayOfWeeks": null,
"monthlyType": null,
"ordinalDayOfMonth": 1,
"dayOfWeek": null,
"ordinalDayOfWeek": null
},
"expireAfter": 7,
"secondFilter": "",
"displayColumns": [
"containerId",
"qid",
"podController",
"deploymentUuid",
"deploymentName",
"nodeName"
],
"zip": 0,
"emailNotification": 0,
"eventEndTime": "2026-03-26T11:49:00Z",
"action": "CREATE",
"eventTime": "2026-03-25T10:49:00Z"
}'
API Response
{
"scheduleUuid": "888222d0-280a-11f1-87a4-e79237e93d0a"
}
Updated API: Update an Active Report Schedule
| New or Updated APIs | Updated |
|---|---|
| API Endpoint (New version) | /csapi/v1.3/reports/schedule/{reportingScheduleID} |
| Method | PUT |
| DTD XSD Changes | No |
Input Parameters Input Parameters
The Input Parameters below show the updated attributes used for creating a report request.
|
Parameter |
Mandatory/Optional |
Data Type |
Description |
|---|---|---|---|
| displayColumns | Optional | string | The following attributes are newly introduced under 'CS_CONTAINER_VULNERABILITY' report templates.
|
Sample: Update an Active Report ScheduleSample: Update an Active Report Schedule
API Request
curl -X 'PUT' \ '<qualys_base_url>/csapi/v1.3/reports/schedule/888222d0-280a-11f1-87a4-e79237e93d0a' \ -H 'accept: application/json' \ -H 'Authorization: Bearer <token>' \ -H 'Content-Type: application/json' \ -d '{ "name": "test_API_schedule123", "description": "test", "templateName": "CS_CONTAINER_VULNERABILITY", "filter": "container.instance.id:3782a2d684de", "format": "csv", "reportScheduleDetails": { "recurrenceType": "DAILY", "selectedDayOfWeeks": null, "monthlyType": null, "ordinalDayOfMonth": 1, "dayOfWeek": null, "ordinalDayOfWeek": null }, "expireAfter": 7, "secondFilter": "", "displayColumns": [ "containerId", "qid", "podController", "deploymentUuid", "deploymentName" ], "zip": 0, "emailNotification": 0, "eventEndTime": "2026-03-26T11:49:00Z", "action": "CREATE", "eventTime": "2026-03-25T10:49:00Z" }'
API Response
{
"message": "Details updated successfully for reportScheduleId 888222d0-280a-11f1-87a4-e79237e93d0a"
}